Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Class Ajp13Connection

    java.lang.Object
      org.mortbay.jetty.HttpConnection
          org.mortbay.jetty.ajp.Ajp13Connection

All Implemented Interfaces:
  Connection

    public class Ajp13Connection

extends HttpConnection

Connection implementation of the Ajp13 protocol.

XXX Refactor to remove duplication of HttpConnection

Author:
  Markus Kobler markus(at)inquisitive-mind.com, Greg Wilkins

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.HttpConnection
`HttpConnection.Output, HttpConnection.OutputWriter`

Field Summary

Fields inherited from class org.mortbay.jetty.HttpConnection
`_connector, _endp, _generator, _in, _out, _parser, _printWriter, _request, _requestFields, _response, _responseFields, _server, _uri, _writer`

Constructor Summary
`Ajp13Connection(Connector connector, EndPoint endPoint, Server server)`

Method Summary
`ServletInputStream` | `getInputStream()`
`boolean` | `isConfidential(Request request)`
`boolean` | `isIntegral(Request request)` Find out if the request is INTEGRAL security.

Methods inherited from class org.mortbay.jetty.HttpConnection
`commitResponse, completeResponse, destroy, flushResponse, getAssociatedObject, getConnector, getCurrentConnection, getEndPoint, getGenerator, getOutputStream, getParser, getPrintWriter, getRequest, getRequestFields, getRequests, getResolveNames, getResponse, getResponseFields, getTimeStamp, handle, handleRequest, include, included, isIdle, isIncluding, isResponseCommitted, reset, setAssociatedObject, setCurrentConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ajp13Connection

    public Ajp13Connection(Connector connector,
                           EndPoint endPoint,
                           Server server)

Method Detail

### isConfidential

    public boolean isConfidential(Request request)

  Overrides:
    `isConfidential` in class `HttpConnection`
  Returns:
    The result of calling `HttpConnection.getConnector()`.`isCondidential`(request), or false if there is no connector.

### isIntegral

    public boolean isIntegral(Request request)

  Description copied from class: `HttpConnection`
  Find out if the request is INTEGRAL security.

  Overrides:
    `isIntegral` in class `HttpConnection`
  Returns:
    `true` if there is a `connector` and it considers `request` to be `integral`

### getInputStream

    public ServletInputStream getInputStream()

  Overrides:
    `getInputStream` in class `HttpConnection`
  Returns:
    The input stream for this connection. The stream will be created if it does not already exist.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.